"""Unittests for utils."""
from unittest import TestCase

from stats_collector.utils import INVALID_REALM, truncate_provider


class TestTruncateProvider(TestCase):
    """Tests for ``truncate_provider`` function."""

    def test_invalid_url(self):
        self.assertEqual(truncate_provider(''), INVALID_REALM)
        self.assertEqual(truncate_provider('test'), INVALID_REALM)
        self.assertEqual(truncate_provider('example.com/'), INVALID_REALM)
        self.assertEqual(truncate_provider('http://example'), INVALID_REALM)

    def test_shorten(self):
        self.assertEqual(truncate_provider('https://example.com/path/'), 'https://example.com')
        self.assertEqual(truncate_provider('https://example.com/?query=some/'), 'https://example.com')

    def test_long_provider(self):
        self.assertEqual(truncate_provider('https://' + 'a'*254 + '.com'), INVALID_REALM)
